Bug 363024 - New contact editor misses options to display messages in HTML
Summary: New contact editor misses options to display messages in HTML
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Applications
Component: contacts (show other bugs)
Version: 5.4.0
Platform: Gentoo Packages Linux
: NOR major with 20 votes (vote)
Target Milestone: ---
Assignee: Tobias Koenig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-13 14:24 UTC by Till Schäfer
Modified: 2017-12-15 01:58 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Till Schäfer 2016-05-13 14:24:50 UTC
The new contact editor in Kontact 16.04 is missing the per contact settings for html messages. 
* display message in html 
* show embedded content
Previously, I was able to set my preference on a per contact basis. This is an important setting. So please re-add it.

Reproducible: Always
Comment 1 Till Schäfer 2016-09-14 17:15:53 UTC
confirmed by  Laurent Montel in Bug 363027
Comment 2 Till Schäfer 2017-01-11 13:20:08 UTC
I see a few options here to place the settings: 


1. Rename the tab "crypto settings" to security and add the options here. This would also align with the global settings structure. One needs to rename the groups labels from "Allowed Protocols" to "Allowed Crypto Protocols" and "Message Preference" to "Crypto Message Preference" in this case.
2. Add the Settings to the Contact tab.
Comment 3 Till Schäfer 2017-01-11 13:22:06 UTC
3. Add another tab "message display" or "appearance"


=> what do you think? I would prefer option 1.
Comment 4 Till Schäfer 2017-12-15 01:58:28 UTC
In the meanwhile the options returned in the contact tab of the contact editor (I have checked here with 5.6.3 and 5.7.0)